Bug 394 - vfs_stat of file failed (No such file or directory) - samba 2.2.8.1
vfs_stat of file failed (No such file or directory) - samba 2.2.8.1
Status: RESOLVED WONTFIX
Product: Samba 2.2
Classification: Unclassified
Component: Config Files
2.2.8a
All All
: P1 critical
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-02 23:19 UTC by Ayelet
Modified: 2004-02-17 08:45 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ayelet 2003-09-02 23:19:34 UTC
Hello,

I have installed Samba version 2.2.8.1.

This is my smb.conf file: 

# Samba config file created using SWAT

# from 172.17.7.31 (172.17.7.31)

# Date: 2003/07/29 17:26:25

# Global parameters

[global]

        workgroup = TCNO

        netbios name = ELEPHANT

        netbios aliases = elephant

        server string = SAMBA server

        security = DOMAIN

        encrypt passwords = Yes

        password server = *

        admin log = Yes

        log level = 3

        log file = /var/adm/samba.log

        deadtime = 15

        max smbd processes = 200

        os level = 0

        preferred master = No

        local master = No

        domain master = No

        wins server = il-hr-dc4

        kernel oplocks = No

        remote announce = 172.17.1.255

        create mask = 0774

        security mask = 0774

        directory mask = 0774

        directory security mask = 0774

        hide dot files = No

        locking = No

        oplocks = No

        level2 oplocks = No

        posix locking = No

        share modes = No

        dos filemode = Yes

[robcad_test]

        path = /robcad_test

        read only = No

 

The file was created on the unix side with the following permissions:

-rwxrw-r--    1 shiri    ics            0 Jul 29 17:26
/robcad_test/arc/dxvxcfbvxcb*

The file was created on the NT side with the following permissions:

Type 

name

permission

Allow

Shiri Ayzik, (Elephant\shiri)

Full Control

Allow

ics (Elephant\ics)

Special

Allow

Everyone

read

These are the error messages i recieve when i try to create file
(dxvxcfbvxcb) using fopen function...

[2003/07/29 17:26:52, 3] smbd/process.c:(685)

  switch message SMBreadX (pid 61982)

[2003/07/29 17:26:52, 3] smbd/reply.c:(2578)

  send_file_readX fnum=9341 max=4096 nread=4096

[2003/07/29 17:26:53, 3] smbd/process.c:(846)

  Transaction 179 of length 95

[2003/07/29 17:26:53, 3] smbd/process.c:(685)

  switch message SMBtrans2 (pid 61982)

[2003/07/29 17:26:53, 3] smbd/trans2.c:(1700)

  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [/arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 3] smbd/trans2.c:(1721)

  call_trans2qfilepathinfo: vfs_stat of arc/dxvxcfbvxcb failed (No such
file or directory)

[2003/07/29 17:26:53, 3] smbd/error.c:(94)

  error string = No such file or directory

[2003/07/29 17:26:53, 3] smbd/error.c:(109)

  error packet at smbd/trans2.c(1723) cmd=50 (SMBtrans2)
NT_STATUS_OBJECT_NAME_NOT_FOUND

[2003/07/29 17:26:53, 3] smbd/process.c:(846)

  Transaction 180 of length 104

[2003/07/29 17:26:53, 3] smbd/process.c:(685)

  switch message SMBntcreateX (pid 61982)

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [/arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 3] smbd/dosmode.c:(111)

  unix_mode(arc/dxvxcfbvxcb) returning 0764

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 3] smbd/open.c:(175)

  Error opening file arc/dxvxcfbvxcb. (No such file or directory)
(local_flags=0) (flags=0)

[2003/07/29 17:26:53, 3] smbd/error.c:(94)

  error string = No such file or directory

[2003/07/29 17:26:53, 3] smbd/error.c:(109)

  error packet at smbd/nttrans.c(889) cmd=162 (SMBntcreateX)
NT_STATUS_OBJECT_NAME_NOT_FOUND

[2003/07/29 17:26:53, 3] smbd/process.c:(846)

  Transaction 181 of length 368

[2003/07/29 17:26:53, 3] smbd/process.c:(685)

  switch message SMBnttrans (pid 61982)

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [/arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 3] smbd/dosmode.c:(111)

  unix_mode(arc/dxvxcfbvxcb) returning 0764

[2003/07/29 17:26:53, 3] lib/util.c:(387)

  unix_clean_name [arc/dxvxcfbvxcb]

[2003/07/29 17:26:53, 2] smbd/open.c:(243)

  shiri opened file arc/dxvxcfbvxcb read=No write=Yes (numopen=3)

[2003/07/29 17:26:53, 3] smbd/posix_acls.c:(478)

  unpack_nt_owners: unable to validate owner sid for
S-1-5-21-1146491468-1923226207-1306142861-1412

[2003/07/29 17:26:53, 2] smbd/close.c:(227)

  shiri closed file arc/dxvxcfbvxcb (numopen=2) 

[2003/07/29 17:26:53, 3] smbd/error.c:(94)

  error string = No such file or directory

[2003/07/29 17:26:53, 3] smbd/error.c:(109)

  error packet at smbd/nttrans.c(1426) cmd=160 (SMBnttrans)
NT_STATUS_ACCESS_DENIED

[2003/07/29 17:26:55, 3] smbd/process.c:(846)

  Transaction 182 of length 45

[2003/07/29 17:26:55, 3] smbd/process.c:(685)

  switch message SMBclose (pid 61982)

[2003/07/29 17:26:55, 3] smbd/reply.c:(3187)

  close fd=22 fnum=9341 (numopen=2)

[2003/07/29 17:26:55, 2] smbd/close.c:(227)

  shiri closed file cre_file.exe (numopen=1) 

 

Best Regards,

Ayelet Regev

Unix sys admin

email: ayelet_r@integrity-sys.com
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:45:42 UTC
Sorry, but the 2.2 is not under development any longer.
If you can reproduce this bug against the latest 3.0 release, 
please reopen this bug and change the version in the report.
Thanks.